Screamer Forums and Screamer gallery have returned.

The Screamer Forums will likely remain read only unless it's known that it will be active, since forums in general are kind of dead because of Discord.

MediaWiki:Vector.css: Difference between revisions

From Screamer Wiki
Jump to navigation Jump to search
Likeicare (talk | contribs)
No edit summary
Tag: Reverted
Likeicare (talk | contribs)
No edit summary
Tag: Reverted
Line 48: Line 48:
   font-weight: bold;
   font-weight: bold;
   color: #000000;
   color: #000000;
   padding: 15px 20px;
   padding: 3px 6px 10px 10px;
}
}


Line 54: Line 54:
   font-weight: bold;
   font-weight: bold;
   color: #000000;
   color: #000000;
   padding: 15px 20px;
   padding: 3px 6px 10px 10px;
  padding-left: 5px;
  padding-right: 5px;
   background-color: #FFF5EE;
   background-color: #FFF5EE;
}
}

Revision as of 17:46, 6 April 2023

/* CSS placed here will affect users of the Vector skin */

.portable-infobox {
  background-color: #FFF5EE;
  border: 1px solid #F98686;
  box-shadow: 0 1px 2px rgba(0,0,0,0.15);
  margin: 10px;
  padding: 10px;
  width: 280px;
}

.portable-infobox .pi-title {
  color: #000000;
  background-color: #FAAAAA;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 0px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: auto;
  line-height: normal;
  font-style: italic;
}

.portable-infobox .pi-header {
  color: #B71C1C;
  background-color: #FAAAAA;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 25px;
  line-height: 25px;
}

/* Infobox label */
.portable-infobox .pi-data-label {
  background-color: #FFE4E1;
  flex: 0 0 30%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: #000000;
  padding: 3px 6px 10px 10px;
}

.portable-infobox .pi-data {
  font-weight: bold;
  color: #000000;
  padding: 3px 6px 10px 10px;
  background-color: #FFF5EE;
}

/* Infobox label and data colors */
.portable-infobox .pi-data:nth-child(odd) .pi-data-label,
.portable-infobox .pi-data:nth-child(odd) .pi-data-value {
  background-color: #FFE4E1;
  padding-left: 5px;
  padding-right: 5px;
}

/* Second label and data */
.portable-infobox .pi-data:nth-child(even) .pi-data-label,
.portable-infobox .pi-data:nth-child(even) .pi-data-value {
  background-color: #FAAAAA;
  padding-left: 5px;
  padding-right: 5px;
}

.portable-infobox .pi-image {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  height: auto;
  margin-bottom: 5px;
}

.portable-infobox .pi-data-value a {
  color: #0645ad;
  text-decoration: none;
}

.portable-infobox .pi-data-value a:hover {
  text-decoration: underline;
}